diff --git a/config/rootfiles/common/aarch64/initscripts b/config/rootfiles/common/aarch64/initscripts
index 202da7372..ddf098ed4 100644
--- a/config/rootfiles/common/aarch64/initscripts
+++ b/config/rootfiles/common/aarch64/initscripts
@@ -26,6 +26,7 @@ etc/rc.d/init.d/functions
 etc/rc.d/init.d/halt
 etc/rc.d/init.d/ipsec
 etc/rc.d/init.d/leds
+etc/rc.d/init.d/lvmetad
 etc/rc.d/init.d/localnet
 etc/rc.d/init.d/modules
 etc/rc.d/init.d/mountfs
@@ -180,6 +181,7 @@ etc/rc.d/rc6.d/S99reboot
 etc/rc.d/rcsysinit.d/S00mountkernfs
 etc/rc.d/rcsysinit.d/S01sysctl
 etc/rc.d/rcsysinit.d/S05modules
+etc/rc.d/rcsysinit.d/S09lvmetad
 etc/rc.d/rcsysinit.d/S10udev
 etc/rc.d/rcsysinit.d/S19waitdrives
 etc/rc.d/rcsysinit.d/S20swap
diff --git a/config/rootfiles/common/armv5tel/initscripts b/config/rootfiles/common/armv5tel/initscripts
index 202da7372..ddf098ed4 100644
--- a/config/rootfiles/common/armv5tel/initscripts
+++ b/config/rootfiles/common/armv5tel/initscripts
@@ -26,6 +26,7 @@ etc/rc.d/init.d/functions
 etc/rc.d/init.d/halt
 etc/rc.d/init.d/ipsec
 etc/rc.d/init.d/leds
+etc/rc.d/init.d/lvmetad
 etc/rc.d/init.d/localnet
 etc/rc.d/init.d/modules
 etc/rc.d/init.d/mountfs
@@ -180,6 +181,7 @@ etc/rc.d/rc6.d/S99reboot
 etc/rc.d/rcsysinit.d/S00mountkernfs
 etc/rc.d/rcsysinit.d/S01sysctl
 etc/rc.d/rcsysinit.d/S05modules
+etc/rc.d/rcsysinit.d/S09lvmetad
 etc/rc.d/rcsysinit.d/S10udev
 etc/rc.d/rcsysinit.d/S19waitdrives
 etc/rc.d/rcsysinit.d/S20swap
diff --git a/config/rootfiles/common/i586/initscripts b/config/rootfiles/common/i586/initscripts
index 9d4f7e5f3..e666ed84e 100644
--- a/config/rootfiles/common/i586/initscripts
+++ b/config/rootfiles/common/i586/initscripts
@@ -26,6 +26,7 @@ etc/rc.d/init.d/functions
 etc/rc.d/init.d/halt
 etc/rc.d/init.d/ipsec
 etc/rc.d/init.d/leds
+etc/rc.d/init.d/lvmetad
 etc/rc.d/init.d/localnet
 etc/rc.d/init.d/modules
 etc/rc.d/init.d/mountfs
@@ -179,6 +180,7 @@ etc/rc.d/rc6.d/S99reboot
 etc/rc.d/rcsysinit.d/S00mountkernfs
 etc/rc.d/rcsysinit.d/S01sysctl
 etc/rc.d/rcsysinit.d/S05modules
+etc/rc.d/rcsysinit.d/S09lvmetad
 etc/rc.d/rcsysinit.d/S10udev
 etc/rc.d/rcsysinit.d/S19waitdrives
 etc/rc.d/rcsysinit.d/S20swap
diff --git a/config/rootfiles/common/x86_64/initscripts b/config/rootfiles/common/x86_64/initscripts
index 9d4f7e5f3..e666ed84e 100644
--- a/config/rootfiles/common/x86_64/initscripts
+++ b/config/rootfiles/common/x86_64/initscripts
@@ -26,6 +26,7 @@ etc/rc.d/init.d/functions
 etc/rc.d/init.d/halt
 etc/rc.d/init.d/ipsec
 etc/rc.d/init.d/leds
+etc/rc.d/init.d/lvmetad
 etc/rc.d/init.d/localnet
 etc/rc.d/init.d/modules
 etc/rc.d/init.d/mountfs
@@ -179,6 +180,7 @@ etc/rc.d/rc6.d/S99reboot
 etc/rc.d/rcsysinit.d/S00mountkernfs
 etc/rc.d/rcsysinit.d/S01sysctl
 etc/rc.d/rcsysinit.d/S05modules
+etc/rc.d/rcsysinit.d/S09lvmetad
 etc/rc.d/rcsysinit.d/S10udev
 etc/rc.d/rcsysinit.d/S19waitdrives
 etc/rc.d/rcsysinit.d/S20swap
diff --git a/lfs/initscripts b/lfs/initscripts
index d74e0c650..3a769bd99 100644
--- a/lfs/initscripts
+++ b/lfs/initscripts
@@ -161,6 +161,7 @@ $(TARGET) :
 	ln -sf ../init.d/mountkernfs /etc/rc.d/rcsysinit.d/S00mountkernfs
 	ln -sf ../init.d/sysctl      /etc/rc.d/rcsysinit.d/S01sysctl
 	ln -sf ../init.d/modules     /etc/rc.d/rcsysinit.d/S05modules
+	ln -sf ../init.d/lvmetad     /etc/rc.d/rcsysinit.d/S09lvmetad
 	ln -sf ../init.d/udev        /etc/rc.d/rcsysinit.d/S10udev
 	ln -sf ../init.d/waitdrives  /etc/rc.d/rcsysinit.d/S19waitdrives
 	ln -sf ../init.d/swap        /etc/rc.d/rcsysinit.d/S20swap
diff --git a/src/initscripts/system/lvmetad b/src/initscripts/system/lvmetad
new file mode 100755
index 000000000..fdae39fd9
--- /dev/null
+++ b/src/initscripts/system/lvmetad
@@ -0,0 +1,41 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/lvmeta2
+#
+# Description : LVM2 Metadata Daemon
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+	start)
+		# Create diretory for control socket
+		mkdir -p /run/lvm
+
+		boot_mesg "Starting LVM2 Metadata Daemon..."
+		loadproc /usr/sbin/lvmetad
+		;;
+
+	stop)
+		boot_mesg "Stopping LVM2 Metadata Daemon..."
+		killproc /usr/sbin/lvmetad
+		;;
+
+	restart)
+		${0} stop
+		sleep 1
+		${0} start
+		;;
+
+	status)
+		statusproc /usr/sbin/lvmetad
+		;;
+
+	*)
+		echo "Usage: ${0} {start|stop|restart|status}"
+		exit 1
+		;;
+esac
+
+# End $rc_base/init.d/lvmetad