diff --git a/config/rootfiles/common/aarch64/python b/config/rootfiles/common/aarch64/python
index fa6064eec..d4c38e32c 100644
--- a/config/rootfiles/common/aarch64/python
+++ b/config/rootfiles/common/aarch64/python
@@ -1977,7 +1977,6 @@ usr/lib/python2.7/lib-dynload/itertools.so
 #usr/lib/python2.7/lib-dynload/linuxaudiodev.so
 usr/lib/python2.7/lib-dynload/math.so
 usr/lib/python2.7/lib-dynload/mmap.so
-usr/lib/python2.7/lib-dynload/nis.so
 usr/lib/python2.7/lib-dynload/operator.so
 #usr/lib/python2.7/lib-dynload/ossaudiodev.so
 usr/lib/python2.7/lib-dynload/parser.so
diff --git a/config/rootfiles/common/armv5tel/python b/config/rootfiles/common/armv5tel/python
index 67841c911..f7da1f66c 100644
--- a/config/rootfiles/common/armv5tel/python
+++ b/config/rootfiles/common/armv5tel/python
@@ -1979,7 +1979,6 @@ usr/lib/python2.7/lib-dynload/itertools.so
 #usr/lib/python2.7/lib-dynload/linuxaudiodev.so
 usr/lib/python2.7/lib-dynload/math.so
 usr/lib/python2.7/lib-dynload/mmap.so
-usr/lib/python2.7/lib-dynload/nis.so
 usr/lib/python2.7/lib-dynload/operator.so
 #usr/lib/python2.7/lib-dynload/ossaudiodev.so
 usr/lib/python2.7/lib-dynload/parser.so
diff --git a/config/rootfiles/common/armv5tel/python3 b/config/rootfiles/common/armv5tel/python3
index 00aa82916..595866748 100644
--- a/config/rootfiles/common/armv5tel/python3
+++ b/config/rootfiles/common/armv5tel/python3
@@ -827,7 +827,6 @@ usr/lib/python3.8/lib-dynload/fcntl.cpython-38-arm-linux-gnueabi.so
 usr/lib/python3.8/lib-dynload/grp.cpython-38-arm-linux-gnueabi.so
 usr/lib/python3.8/lib-dynload/math.cpython-38-arm-linux-gnueabi.so
 usr/lib/python3.8/lib-dynload/mmap.cpython-38-arm-linux-gnueabi.so
-usr/lib/python3.8/lib-dynload/nis.cpython-38-arm-linux-gnueabi.so
 usr/lib/python3.8/lib-dynload/ossaudiodev.cpython-38-arm-linux-gnueabi.so
 usr/lib/python3.8/lib-dynload/parser.cpython-38-arm-linux-gnueabi.so
 usr/lib/python3.8/lib-dynload/pyexpat.cpython-38-arm-linux-gnueabi.so
diff --git a/config/rootfiles/common/i586/python b/config/rootfiles/common/i586/python
index 67841c911..f7da1f66c 100644
--- a/config/rootfiles/common/i586/python
+++ b/config/rootfiles/common/i586/python
@@ -1979,7 +1979,6 @@ usr/lib/python2.7/lib-dynload/itertools.so
 #usr/lib/python2.7/lib-dynload/linuxaudiodev.so
 usr/lib/python2.7/lib-dynload/math.so
 usr/lib/python2.7/lib-dynload/mmap.so
-usr/lib/python2.7/lib-dynload/nis.so
 usr/lib/python2.7/lib-dynload/operator.so
 #usr/lib/python2.7/lib-dynload/ossaudiodev.so
 usr/lib/python2.7/lib-dynload/parser.so
diff --git a/config/rootfiles/common/i586/python3 b/config/rootfiles/common/i586/python3
index a60be400b..bb77414c7 100644
--- a/config/rootfiles/common/i586/python3
+++ b/config/rootfiles/common/i586/python3
@@ -827,7 +827,6 @@ usr/lib/python3.8/lib-dynload/fcntl.cpython-38-i386-linux-gnu.so
 usr/lib/python3.8/lib-dynload/grp.cpython-38-i386-linux-gnu.so
 usr/lib/python3.8/lib-dynload/math.cpython-38-i386-linux-gnu.so
 usr/lib/python3.8/lib-dynload/mmap.cpython-38-i386-linux-gnu.so
-usr/lib/python3.8/lib-dynload/nis.cpython-38-i386-linux-gnu.so
 usr/lib/python3.8/lib-dynload/ossaudiodev.cpython-38-i386-linux-gnu.so
 usr/lib/python3.8/lib-dynload/parser.cpython-38-i386-linux-gnu.so
 usr/lib/python3.8/lib-dynload/pyexpat.cpython-38-i386-linux-gnu.so
diff --git a/config/rootfiles/common/python3 b/config/rootfiles/common/python3
index 6359e0099..381042c14 100644
--- a/config/rootfiles/common/python3
+++ b/config/rootfiles/common/python3
@@ -827,7 +827,6 @@ usr/lib/python3.8/lib-dynload/fcntl.cpython-38-xxxMACHINExxx-linux-gnu.so
 usr/lib/python3.8/lib-dynload/grp.cpython-38-xxxMACHINExxx-linux-gnu.so
 usr/lib/python3.8/lib-dynload/math.cpython-38-xxxMACHINExxx-linux-gnu.so
 usr/lib/python3.8/lib-dynload/mmap.cpython-38-xxxMACHINExxx-linux-gnu.so
-usr/lib/python3.8/lib-dynload/nis.cpython-38-xxxMACHINExxx-linux-gnu.so
 usr/lib/python3.8/lib-dynload/ossaudiodev.cpython-38-xxxMACHINExxx-linux-gnu.so
 usr/lib/python3.8/lib-dynload/parser.cpython-38-xxxMACHINExxx-linux-gnu.so
 usr/lib/python3.8/lib-dynload/pyexpat.cpython-38-xxxMACHINExxx-linux-gnu.so
diff --git a/config/rootfiles/common/x86_64/python b/config/rootfiles/common/x86_64/python
index 5cdaf47cd..eb7f8fa18 100644
--- a/config/rootfiles/common/x86_64/python
+++ b/config/rootfiles/common/x86_64/python
@@ -1977,7 +1977,6 @@ usr/lib/python2.7/lib-dynload/itertools.so
 #usr/lib/python2.7/lib-dynload/linuxaudiodev.so
 usr/lib/python2.7/lib-dynload/math.so
 usr/lib/python2.7/lib-dynload/mmap.so
-usr/lib/python2.7/lib-dynload/nis.so
 usr/lib/python2.7/lib-dynload/operator.so
 #usr/lib/python2.7/lib-dynload/ossaudiodev.so
 usr/lib/python2.7/lib-dynload/parser.so