diff --git a/config/rootfiles/common/aarch64/initscripts b/config/rootfiles/common/aarch64/initscripts
index 739503ae6..b3187fb45 100644
--- a/config/rootfiles/common/aarch64/initscripts
+++ b/config/rootfiles/common/aarch64/initscripts
@@ -110,8 +110,9 @@ etc/rc.d/rc0.d/K77conntrackd
 etc/rc.d/rc0.d/K78suricata
 etc/rc.d/rc0.d/K79depends-on-network
 etc/rc.d/rc0.d/K79leds
-etc/rc.d/rc0.d/K80network
-etc/rc.d/rc0.d/K82wlanclient
+etc/rc.d/rc0.d/K80network-uplink
+etc/rc.d/rc0.d/K81wlanclient
+etc/rc.d/rc0.d/K82network-local
 #etc/rc.d/rc0.d/K85messagebus
 etc/rc.d/rc0.d/K86unbound
 etc/rc.d/rc0.d/K87acpid
@@ -130,14 +131,15 @@ etc/rc.d/rc3.d/S15fireinfo
 #etc/rc.d/rc3.d/S15messagebus
 #etc/rc.d/rc3.d/S18cpufreq
 etc/rc.d/rc3.d/S19smartenabler
-etc/rc.d/rc3.d/S19wlanclient
-etc/rc.d/rc3.d/S20network
-etc/rc.d/rc3.d/S21depends-on-network
-etc/rc.d/rc3.d/S21leds
-etc/rc.d/rc3.d/S22conntrackd
-etc/rc.d/rc3.d/S24cyrus-sasl
-etc/rc.d/rc3.d/S30sshd
-etc/rc.d/rc3.d/S32apache
+etc/rc.d/rc3.d/S20network-local
+etc/rc.d/rc3.d/S21sshd
+etc/rc.d/rc3.d/S22apache
+etc/rc.d/rc3.d/S23wlanclient
+etc/rc.d/rc3.d/S24network-uplink
+etc/rc.d/rc3.d/S25depends-on-network
+etc/rc.d/rc3.d/S25leds
+etc/rc.d/rc3.d/S30conntrackd
+etc/rc.d/rc3.d/S35cyrus-sasl
 etc/rc.d/rc3.d/S40fcron
 #etc/rc.d/rc3.d/S66client175
 etc/rc.d/rc3.d/S98rc.local
@@ -161,8 +163,9 @@ etc/rc.d/rc6.d/K77conntrackd
 etc/rc.d/rc6.d/K78suricata
 etc/rc.d/rc6.d/K79depends-on-network
 etc/rc.d/rc6.d/K79leds
-etc/rc.d/rc6.d/K80network
-etc/rc.d/rc6.d/K82wlanclient
+etc/rc.d/rc6.d/K80network-uplink
+etc/rc.d/rc6.d/K81wlanclient
+etc/rc.d/rc6.d/K82network-local
 #etc/rc.d/rc6.d/K85messagebus
 etc/rc.d/rc6.d/K86unbound
 etc/rc.d/rc6.d/K87acpid
diff --git a/config/rootfiles/common/riscv64/initscripts b/config/rootfiles/common/riscv64/initscripts
index ed1eae904..cbb3f9118 100644
--- a/config/rootfiles/common/riscv64/initscripts
+++ b/config/rootfiles/common/riscv64/initscripts
@@ -109,8 +109,9 @@ etc/rc.d/rc0.d/K77conntrackd
 etc/rc.d/rc0.d/K78suricata
 etc/rc.d/rc0.d/K79depends-on-network
 etc/rc.d/rc0.d/K79leds
-etc/rc.d/rc0.d/K80network
-etc/rc.d/rc0.d/K82wlanclient
+etc/rc.d/rc0.d/K80network-uplink
+etc/rc.d/rc0.d/K81wlanclient
+etc/rc.d/rc0.d/K82network-local
 #etc/rc.d/rc0.d/K85messagebus
 etc/rc.d/rc0.d/K86unbound
 etc/rc.d/rc0.d/K87acpid
@@ -129,14 +130,15 @@ etc/rc.d/rc3.d/S15fireinfo
 #etc/rc.d/rc3.d/S15messagebus
 #etc/rc.d/rc3.d/S18cpufreq
 etc/rc.d/rc3.d/S19smartenabler
-etc/rc.d/rc3.d/S19wlanclient
-etc/rc.d/rc3.d/S20network
-etc/rc.d/rc3.d/S21depends-on-network
-etc/rc.d/rc3.d/S21leds
-etc/rc.d/rc3.d/S22conntrackd
-etc/rc.d/rc3.d/S24cyrus-sasl
-etc/rc.d/rc3.d/S30sshd
-etc/rc.d/rc3.d/S32apache
+etc/rc.d/rc3.d/S20network-local
+etc/rc.d/rc3.d/S21sshd
+etc/rc.d/rc3.d/S22apache
+etc/rc.d/rc3.d/S23wlanclient
+etc/rc.d/rc3.d/S24network-uplink
+etc/rc.d/rc3.d/S25depends-on-network
+etc/rc.d/rc3.d/S25leds
+etc/rc.d/rc3.d/S30conntrackd
+etc/rc.d/rc3.d/S35cyrus-sasl
 etc/rc.d/rc3.d/S40fcron
 #etc/rc.d/rc3.d/S66client175
 etc/rc.d/rc3.d/S98rc.local
@@ -160,8 +162,9 @@ etc/rc.d/rc6.d/K77conntrackd
 etc/rc.d/rc6.d/K78suricata
 etc/rc.d/rc6.d/K79depends-on-network
 etc/rc.d/rc6.d/K79leds
-etc/rc.d/rc6.d/K80network
-etc/rc.d/rc6.d/K82wlanclient
+etc/rc.d/rc6.d/K80network-uplink
+etc/rc.d/rc6.d/K81wlanclient
+etc/rc.d/rc6.d/K82network-local
 #etc/rc.d/rc6.d/K85messagebus
 etc/rc.d/rc6.d/K86unbound
 etc/rc.d/rc6.d/K87acpid
diff --git a/config/rootfiles/common/x86_64/initscripts b/config/rootfiles/common/x86_64/initscripts
index ed1eae904..cbb3f9118 100644
--- a/config/rootfiles/common/x86_64/initscripts
+++ b/config/rootfiles/common/x86_64/initscripts
@@ -109,8 +109,9 @@ etc/rc.d/rc0.d/K77conntrackd
 etc/rc.d/rc0.d/K78suricata
 etc/rc.d/rc0.d/K79depends-on-network
 etc/rc.d/rc0.d/K79leds
-etc/rc.d/rc0.d/K80network
-etc/rc.d/rc0.d/K82wlanclient
+etc/rc.d/rc0.d/K80network-uplink
+etc/rc.d/rc0.d/K81wlanclient
+etc/rc.d/rc0.d/K82network-local
 #etc/rc.d/rc0.d/K85messagebus
 etc/rc.d/rc0.d/K86unbound
 etc/rc.d/rc0.d/K87acpid
@@ -129,14 +130,15 @@ etc/rc.d/rc3.d/S15fireinfo
 #etc/rc.d/rc3.d/S15messagebus
 #etc/rc.d/rc3.d/S18cpufreq
 etc/rc.d/rc3.d/S19smartenabler
-etc/rc.d/rc3.d/S19wlanclient
-etc/rc.d/rc3.d/S20network
-etc/rc.d/rc3.d/S21depends-on-network
-etc/rc.d/rc3.d/S21leds
-etc/rc.d/rc3.d/S22conntrackd
-etc/rc.d/rc3.d/S24cyrus-sasl
-etc/rc.d/rc3.d/S30sshd
-etc/rc.d/rc3.d/S32apache
+etc/rc.d/rc3.d/S20network-local
+etc/rc.d/rc3.d/S21sshd
+etc/rc.d/rc3.d/S22apache
+etc/rc.d/rc3.d/S23wlanclient
+etc/rc.d/rc3.d/S24network-uplink
+etc/rc.d/rc3.d/S25depends-on-network
+etc/rc.d/rc3.d/S25leds
+etc/rc.d/rc3.d/S30conntrackd
+etc/rc.d/rc3.d/S35cyrus-sasl
 etc/rc.d/rc3.d/S40fcron
 #etc/rc.d/rc3.d/S66client175
 etc/rc.d/rc3.d/S98rc.local
@@ -160,8 +162,9 @@ etc/rc.d/rc6.d/K77conntrackd
 etc/rc.d/rc6.d/K78suricata
 etc/rc.d/rc6.d/K79depends-on-network
 etc/rc.d/rc6.d/K79leds
-etc/rc.d/rc6.d/K80network
-etc/rc.d/rc6.d/K82wlanclient
+etc/rc.d/rc6.d/K80network-uplink
+etc/rc.d/rc6.d/K81wlanclient
+etc/rc.d/rc6.d/K82network-local
 #etc/rc.d/rc6.d/K85messagebus
 etc/rc.d/rc6.d/K86unbound
 etc/rc.d/rc6.d/K87acpid
diff --git a/lfs/initscripts b/lfs/initscripts
index e8a2e4c6e..711f29632 100644
--- a/lfs/initscripts
+++ b/lfs/initscripts
@@ -104,9 +104,10 @@ $(TARGET) :
 	ln -sf ../init.d/conntrackd		/etc/rc.d/rc0.d/K77conntrackd
 	ln -sf ../init.d/suricata		/etc/rc.d/rc0.d/K78suricata
 	ln -sf ../init.d/depends-on-network	/etc/rc.d/rc0.d/K79depends-on-network
-	ln -sf ../init.d/leds			/etc/rc.d/rc0.d/K79leds
-	ln -sf ../init.d/network		/etc/rc.d/rc0.d/K80network
-	ln -sf ../init.d/wlanclient		/etc/rc.d/rc0.d/K82wlanclient
+	ln -sf ../init.d/leds        		/etc/rc.d/rc0.d/K79leds
+	ln -sf ../init.d/network-uplink		/etc/rc.d/rc0.d/K80network-uplink
+	ln -sf ../init.d/wlanclient  		/etc/rc.d/rc0.d/K81wlanclient
+	ln -sf ../init.d/network-local		/etc/rc.d/rc0.d/K82network-local
 	ln -sf ../init.d/messagebus		/etc/rc.d/rc0.d/K85messagebus
 	ln -sf ../init.d/unbound		/etc/rc.d/rc0.d/K86unbound
 	ln -sf ../init.d/sysklogd		/etc/rc.d/rc0.d/K90sysklogd
@@ -123,14 +124,15 @@ $(TARGET) :
 	ln -sf ../init.d/messagebus		/etc/rc.d/rc3.d/S15messagebus
 	ln -sf ../init.d/cpufreq		/etc/rc.d/rc3.d/S18cpufreq
 	ln -sf ../init.d/smartenabler		/etc/rc.d/rc3.d/S19smartenabler
-	ln -sf ../init.d/wlanclient		/etc/rc.d/rc3.d/S19wlanclient
-	ln -sf ../init.d/network		/etc/rc.d/rc3.d/S20network
-	ln -sf ../init.d/depends-on-network     /etc/rc.d/rc3.d/S21depends-on-network
-	ln -sf ../init.d/leds			/etc/rc.d/rc3.d/S21leds
-	ln -sf ../init.d/conntrackd		/etc/rc.d/rc3.d/S22conntrackd
-	ln -sf  ../init.d/cyrus-sasl		/etc/rc.d/rc3.d/S24cyrus-sasl
-	ln -sf ../init.d/sshd			/etc/rc.d/rc3.d/S30sshd
-	ln -sf ../init.d/apache			/etc/rc.d/rc3.d/S32apache
+	ln -sf ../init.d/network-local		/etc/rc.d/rc3.d/S20network-local
+	ln -sf ../init.d/sshd        		/etc/rc.d/rc3.d/S21sshd
+	ln -sf ../init.d/apache      		/etc/rc.d/rc3.d/S22apache
+	ln -sf ../init.d/wlanclient  		/etc/rc.d/rc3.d/S23wlanclient
+	ln -sf ../init.d/network-uplink		/etc/rc.d/rc3.d/S24network-uplink
+	ln -sf ../init.d/depends-on-network     /etc/rc.d/rc3.d/S25depends-on-network
+	ln -sf ../init.d/leds        		/etc/rc.d/rc3.d/S25leds
+	ln -sf ../init.d/conntrackd  		/etc/rc.d/rc3.d/S30conntrackd
+	ln -sf ../init.d/cyrus-sasl		/etc/rc.d/rc3.d/S35cyrus-sasl
 	ln -sf ../init.d/fcron			/etc/rc.d/rc3.d/S40fcron
 	ln -sf ../../sysconfig/rc.local		/etc/rc.d/rc3.d/S98rc.local
 	ln -sf ../init.d/sslh			/etc/rc.d/rc3.d/S98sslh
@@ -152,8 +154,9 @@ $(TARGET) :
 	ln -sf ../init.d/suricata		/etc/rc.d/rc6.d/K78suricata
 	ln -sf ../init.d/depends-on-network     /etc/rc.d/rc6.d/K79depends-on-network
 	ln -sf ../init.d/leds			/etc/rc.d/rc6.d/K79leds
-	ln -sf ../init.d/network		/etc/rc.d/rc6.d/K80network
-	ln -sf ../init.d/wlanclient		/etc/rc.d/rc6.d/K82wlanclient
+	ln -sf ../init.d/network-uplink		/etc/rc.d/rc6.d/K80network-uplink
+	ln -sf ../init.d/wlanclient  		/etc/rc.d/rc6.d/K81wlanclient
+	ln -sf ../init.d/network-local		/etc/rc.d/rc6.d/K82network-local
 	ln -sf ../init.d/messagebus		/etc/rc.d/rc6.d/K85messagebus
 	ln -sf ../init.d/unbound		/etc/rc.d/rc6.d/K86unbound
 	ln -sf ../init.d/sysklogd		/etc/rc.d/rc6.d/K90sysklogd