diff --git a/config/rootfiles/common/aarch64/util-linux b/config/rootfiles/common/aarch64/util-linux
index d991bbda3..0f71057ce 100644
--- a/config/rootfiles/common/aarch64/util-linux
+++ b/config/rootfiles/common/aarch64/util-linux
@@ -50,6 +50,7 @@ sbin/swapon
 sbin/switch_root
 sbin/wipefs
 sbin/zramctl
+#usr/bin/bits
 #usr/bin/cal
 usr/bin/chmem
 usr/bin/choom
@@ -58,6 +59,7 @@ usr/bin/choom
 #usr/bin/colcrt
 #usr/bin/colrm
 #usr/bin/column
+#usr/bin/coresched
 usr/bin/eject
 usr/bin/enosys
 usr/bin/exch
@@ -256,6 +258,7 @@ usr/sbin/rtcwake
 #usr/share/doc/util-linux
 #usr/share/doc/util-linux/getopt-example.bash
 #usr/share/doc/util-linux/getopt-example.tcsh
+#usr/share/man/man1/bits.1
 #usr/share/man/man1/cal.1
 #usr/share/man/man1/choom.1
 #usr/share/man/man1/chrt.1
@@ -263,6 +266,7 @@ usr/sbin/rtcwake
 #usr/share/man/man1/colcrt.1
 #usr/share/man/man1/colrm.1
 #usr/share/man/man1/column.1
+#usr/share/man/man1/coresched.1
 #usr/share/man/man1/dmesg.1
 #usr/share/man/man1/eject.1
 #usr/share/man/man1/enosys.1
diff --git a/config/rootfiles/common/riscv64/util-linux b/config/rootfiles/common/riscv64/util-linux
index acb1ae8e4..ce536824c 100644
--- a/config/rootfiles/common/riscv64/util-linux
+++ b/config/rootfiles/common/riscv64/util-linux
@@ -50,6 +50,7 @@ sbin/swapon
 sbin/switch_root
 sbin/wipefs
 sbin/zramctl
+#usr/bin/bits
 #usr/bin/cal
 usr/bin/chmem
 usr/bin/choom
@@ -58,6 +59,7 @@ usr/bin/choom
 #usr/bin/colcrt
 #usr/bin/colrm
 #usr/bin/column
+#usr/bin/coresched
 usr/bin/eject
 usr/bin/enosys
 usr/bin/exch
@@ -256,6 +258,7 @@ usr/sbin/rtcwake
 #usr/share/doc/util-linux
 #usr/share/doc/util-linux/getopt-example.bash
 #usr/share/doc/util-linux/getopt-example.tcsh
+#usr/share/man/man1/bits.1
 #usr/share/man/man1/cal.1
 #usr/share/man/man1/choom.1
 #usr/share/man/man1/chrt.1
@@ -263,6 +266,7 @@ usr/sbin/rtcwake
 #usr/share/man/man1/colcrt.1
 #usr/share/man/man1/colrm.1
 #usr/share/man/man1/column.1
+#usr/share/man/man1/coresched.1
 #usr/share/man/man1/dmesg.1
 #usr/share/man/man1/eject.1
 #usr/share/man/man1/enosys.1
diff --git a/config/rootfiles/common/x86_64/util-linux b/config/rootfiles/common/x86_64/util-linux
index 92f391d17..af4495401 100644
--- a/config/rootfiles/common/x86_64/util-linux
+++ b/config/rootfiles/common/x86_64/util-linux
@@ -50,6 +50,7 @@ sbin/swapon
 sbin/switch_root
 sbin/wipefs
 sbin/zramctl
+#usr/bin/bits
 #usr/bin/cal
 usr/bin/chmem
 usr/bin/choom
@@ -58,6 +59,7 @@ usr/bin/choom
 #usr/bin/colcrt
 #usr/bin/colrm
 #usr/bin/column
+#usr/bin/coresched
 usr/bin/eject
 usr/bin/enosys
 usr/bin/exch
@@ -258,6 +260,7 @@ usr/sbin/rtcwake
 #usr/share/doc/util-linux
 #usr/share/doc/util-linux/getopt-example.bash
 #usr/share/doc/util-linux/getopt-example.tcsh
+#usr/share/man/man1/bits.1
 #usr/share/man/man1/cal.1
 #usr/share/man/man1/choom.1
 #usr/share/man/man1/chrt.1
@@ -265,6 +268,7 @@ usr/sbin/rtcwake
 #usr/share/man/man1/colcrt.1
 #usr/share/man/man1/colrm.1
 #usr/share/man/man1/column.1
+#usr/share/man/man1/coresched.1
 #usr/share/man/man1/dmesg.1
 #usr/share/man/man1/eject.1
 #usr/share/man/man1/enosys.1
diff --git a/lfs/util-linux b/lfs/util-linux
index c820907f9..2b8a0c2dc 100644
--- a/lfs/util-linux
+++ b/lfs/util-linux
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2025  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 2.40.2
+VER        = 2.41
 
 THISAPP    = util-linux-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -42,7 +42,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 8306d651f27db6665e91a937c9f1970938fec5b069636fea3c2688afddebd1a3424f0b0802a034eab049cf7692dd435cf93e82aa5f4a40cc8064d60b4ca59535
+$(DL_FILE)_BLAKE2 = b0f6d63c1365d3b065584d4d79a1716e1f036474984fc08dd6b298d7f50e66736af046404d3c9d8051fd0c9c455bcd623257ea1b967b755bee063415d91c5c21
 
 install : $(TARGET)
 