diff --git a/config/rootfiles/common/aarch64/glibc b/config/rootfiles/common/aarch64/glibc
index a6d3f1ea9..e3493dd95 100644
--- a/config/rootfiles/common/aarch64/glibc
+++ b/config/rootfiles/common/aarch64/glibc
@@ -92,6 +92,8 @@ usr/bin/locale
 #usr/include/bits/hwcap.h
 #usr/include/bits/in.h
 #usr/include/bits/indirect-return.h
+#usr/include/bits/inet-fortified-decl.h
+#usr/include/bits/inet-fortified.h
 #usr/include/bits/initspin.h
 #usr/include/bits/inotify.h
 #usr/include/bits/ioctl-types.h
@@ -207,6 +209,7 @@ usr/bin/locale
 #usr/include/bits/termios-c_iflag.h
 #usr/include/bits/termios-c_lflag.h
 #usr/include/bits/termios-c_oflag.h
+#usr/include/bits/termios-cbaud.h
 #usr/include/bits/termios-misc.h
 #usr/include/bits/termios-struct.h
 #usr/include/bits/termios-tcflow.h
@@ -512,7 +515,6 @@ usr/bin/locale
 #usr/include/sysexits.h
 #usr/include/syslog.h
 #usr/include/tar.h
-#usr/include/termio.h
 #usr/include/termios.h
 #usr/include/tgmath.h
 #usr/include/thread_db.h
@@ -812,7 +814,7 @@ usr/lib/gconv
 #usr/lib/libc_nonshared.a
 #usr/lib/libdl.a
 #usr/lib/libg.a
-#usr/lib/libm-2.41.a
+#usr/lib/libm-2.42.a
 #usr/lib/libm.a
 #usr/lib/libm.so
 #usr/lib/libmcheck.a
diff --git a/config/rootfiles/common/riscv64/glibc b/config/rootfiles/common/riscv64/glibc
index 52a4ad657..1dbc835fc 100644
--- a/config/rootfiles/common/riscv64/glibc
+++ b/config/rootfiles/common/riscv64/glibc
@@ -91,6 +91,8 @@ usr/bin/locale
 #usr/include/bits/hwcap.h
 #usr/include/bits/in.h
 #usr/include/bits/indirect-return.h
+#usr/include/bits/inet-fortified-decl.h
+#usr/include/bits/inet-fortified.h
 #usr/include/bits/initspin.h
 #usr/include/bits/inotify.h
 #usr/include/bits/ioctl-types.h
@@ -206,6 +208,7 @@ usr/bin/locale
 #usr/include/bits/termios-c_iflag.h
 #usr/include/bits/termios-c_lflag.h
 #usr/include/bits/termios-c_oflag.h
+#usr/include/bits/termios-cbaud.h
 #usr/include/bits/termios-misc.h
 #usr/include/bits/termios-struct.h
 #usr/include/bits/termios-tcflow.h
@@ -512,7 +515,6 @@ usr/bin/locale
 #usr/include/sysexits.h
 #usr/include/syslog.h
 #usr/include/tar.h
-#usr/include/termio.h
 #usr/include/termios.h
 #usr/include/tgmath.h
 #usr/include/thread_db.h
diff --git a/config/rootfiles/common/x86_64/glibc b/config/rootfiles/common/x86_64/glibc
index 7d95ea661..a4bdd8a8e 100644
--- a/config/rootfiles/common/x86_64/glibc
+++ b/config/rootfiles/common/x86_64/glibc
@@ -92,6 +92,8 @@ usr/bin/locale
 #usr/include/bits/hwcap.h
 #usr/include/bits/in.h
 #usr/include/bits/indirect-return.h
+#usr/include/bits/inet-fortified-decl.h
+#usr/include/bits/inet-fortified.h
 #usr/include/bits/initspin.h
 #usr/include/bits/inotify.h
 #usr/include/bits/ioctl-types.h
@@ -210,6 +212,7 @@ usr/bin/locale
 #usr/include/bits/termios-c_iflag.h
 #usr/include/bits/termios-c_lflag.h
 #usr/include/bits/termios-c_oflag.h
+#usr/include/bits/termios-cbaud.h
 #usr/include/bits/termios-misc.h
 #usr/include/bits/termios-struct.h
 #usr/include/bits/termios-tcflow.h
@@ -521,7 +524,6 @@ usr/bin/locale
 #usr/include/sysexits.h
 #usr/include/syslog.h
 #usr/include/tar.h
-#usr/include/termio.h
 #usr/include/termios.h
 #usr/include/tgmath.h
 #usr/include/thread_db.h
@@ -821,7 +823,7 @@ usr/lib/gconv
 #usr/lib/libc_nonshared.a
 #usr/lib/libdl.a
 #usr/lib/libg.a
-#usr/lib/libm-2.41.a
+#usr/lib/libm-2.42.a
 #usr/lib/libm.a
 #usr/lib/libm.so
 #usr/lib/libmcheck.a
diff --git a/lfs/glibc b/lfs/glibc
index 136d1d5ed..7bba2b60b 100644
--- a/lfs/glibc
+++ b/lfs/glibc
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 2.41
+VER        = 2.42
 
 THISAPP    = glibc-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -62,16 +62,21 @@ EXTRA_CONFIG += \
 	--enable-experimental-malloc \
 	--enable-bind-now \
 	--enable-fortify-source \
+	--enable-stack-protector=strong \
 	--disable-crypt \
 	--disable-build-nscd \
 	--disable-nscd
 
 ifeq "$(BUILD_ARCH)" "x86_64"
-	EXTRA_CONFIG += --enable-cet
+	EXTRA_CONFIG += \
+		--enable-cet \
+		--enable-sframe
 endif
 
 ifeq "$(BUILD_ARCH)" "aarch64"
-	EXTRA_CONFIG += --enable-memory-tagging
+	EXTRA_CONFIG += \
+		--enable-memory-tagging \
+		--enable-sframe
 endif
 
 ###############################################################################
@@ -82,7 +87,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 4da62f489ba7a95bb069c2cfea8cf78e4d37e3a5f7e1736239670ba1dca12b69aa77bd00ced078c27d91b1e622c58cbd70258161a9d18c5b3bcc95863b8d744d
+$(DL_FILE)_BLAKE2 = 6ffabfe7942034a5a4fb5097679cb47bc3431eb2a3864af07cea0cb6aa5db63fbaf6f026b3c9299e00268058a6762eb21e92499f012d552ed87d65c7ffbd0bbe
 
 install : $(TARGET)
 